Skip to main content
`Ctrl`+`K`

# convolve_models_fft

astropy.convolution.convolve_models_fft(model, kernel, bounding_box, resolution, cache=True, **kwargs)

  Convolve two models using `convolve_fft`.

  Parameters:
    model `Model`

      Functional model

    kernel `Model`

      Convolution kernel

    bounding_box `python:tuple`

      The bounding box which encompasses enough of the support of both the `model` and `kernel` so that an accurate convolution can be computed.

    resolution `python:float`

      The resolution that one wishes to approximate the convolution integral at.

    cache optional, bool

      Default value True. Allow for the storage of the convolution computation for later reuse.

    **kwargs `python:dict`

      Keyword arguments to be passed either to `convolve` or `convolve_fft` depending on `mode`.

  Returns:
    default `CompoundModel`

      Convolved model